# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long/Descriptive.pm) perl(Lingua/AR/Tashkeel.pm) perl(Math/BaseCnv.pm) perl(Module/Load.pm) perl(Number/Bytes/Human.pm) perl(Test/More.pm) perl(Unicode/Normalize.pm) perl(base.pm) perl(charnames.pm) perl(constant.pm) perl(open.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-FilterUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Command-line filter utilities
Group: Development/Perl
License: perl
URL: https://github.com/athreef/App-FilterUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHREEF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
$ 2base 16 16
    10
    $ 2u .''U.e'.'''
    MAN <.''U>  128104, Hex 1f468, Octal 372150
    ZERO WIDTH JOINER <>  8205, Hex 200d, Octal 20015
    GRADUATION CAP <.'''>  127891, Hex 1f393, Octal 371623

    $ echo ".'.'.e.e.'.'.e.e.N.'.' .'.'.e.e.'.'.e.e.N.'.' .'.'.e.e.'.'.e.e.U.'.e.e.'.' .'.'.e.e.U.'.U.'.e.e.N.' .'.'.e.e.v.e.e.i.'" | artype
    .'.'.N.e.e.'.O'.e.e.'.Oe .'.'.N.e.e.'.Oi.e.e.'.Oe .'.Oo.e.e.'.a'.e.e.'.O'.e.e.'.Oe .'.N.e.e.'.a'.'.U.e.e.'.Oe .'.i.e.e.O'.e.e.'.Oe
    $ ascii cafa.
    caf
    $ byte 66062639
    64M
    $ hz 10000
    100us
    $ NFC a. | xxd
    00000000: c3a9 0a                                  ...
    $ NFD a. | xxd
    00000000: 65cc 810a                                e...
    $ unac cafa.
    cafe
    $ echo ".O.'.O" | unpt
    .d.'.d
    $ echo ".'.'.e.e.'.'.e.e.N.'.' .'.'.e.e.'.'.e.e.N.'.' .'.'.e.e.'.'.e.e.U.'.e.e.'.' .'.'.e.e.U.'.U.'.e.e.N.' .'.'.e.e.v.e.e.i.'" | untashkeel
    .'.e.e.'.e.e.N .'.e.e.'.e.e.N .'.e.e.'.e.e.U.e.e.' .'.e.e.U.U.e.e.N .'.e.e.v.e.e.i

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE CHANGES
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Sat Nov 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

